color[] palette = {
  color(0, 0, 0),
  color(255, 0, 0),
  color(255, 216, 0),
  color(76, 255, 0),
  color(0, 255, 33),
  color(0, 148, 255),
  color(178, 0, 255),
  color(255, 255, 255)
};
color currentColor = color(0, 0, 0);

void setup(){
  size(800, 700);
}

void draw(){  
  if (mousePressed){
    stroke(currentColor);
    line(mouseX, mouseY, pmouseX, pmouseY);
  }
  for(int i = 0 ; i < 8 ; i++) {
    noStroke();
    fill(palette[i]);
    rect(i*100, 0, 100, 100);
  }
}

void mousePressed(){
  int i = (int)(mouseX / 100);
  if (mouseY < 100){
    currentColor = palette[i];
  }
}
