import fisica.*;
FWorld world;
FCircle ball;
PImage back;

void setup(){
  size(1000, 500);
  Fisica.init(this);
  world = new FWorld();
  world.setEdges(0, 0, 2000, 500);  
  back = loadImage("back.jpg");
  
  ball = new FCircle(30);
  ball.setPosition(200, 400);
  ball.attachImage(loadImage("ball.png"));
  ball.setDensity(3.0);
  world.add(ball);
}

void draw(){
  float ballX = ball.getX();
  if (ballX > 800) {
    float traslateX = max(-1000, -(ballX - 800));
    translate(traslateX, 0);
  }  
  
  image(back, 0, 0);
  strokeWeight(10);
  stroke(140, 30, 30);
  line(200,300,220,350); 
  line(220,350,240,280); 
  line(220,350,220,400); 

  strokeWeight(5);
  stroke(0,0,0);
  if (mousePressed){
    line(mouseX, mouseY, 200, 300);
    line(mouseX, mouseY, 240, 280);
    ball.setPosition(mouseX, mouseY);
  }
  world.step();
  world.draw();  
}

void mouseReleased(){
  ball.addForce((230-mouseX)*1800,(290-mouseY)*1800);
}
