import fisica.*;
FWorld world;
void setup() {
  size(600, 800);
  Fisica.init(this);
  world = new FWorld();
  world.setEdges();
  for (int y = 0; y < 7; y++) {
    for (int x = 0; x < 7; x++) {
      float xpos = x*70+15+30*(y%2);
      float ypos = y*70+120;
      createCircle(5, xpos, ypos, true);
    }
  }
}

void draw() {
  background(255);
  world.step();
  world.draw();  
}

FCircle createCircle(float size, float x, float y, boolean isStatic) {
  FCircle c = new FCircle(size);
  c.setPosition(x, y);
  c.setStatic(isStatic);
  world.add(c);
  return c;
}
