PVector pos, speed;

void setup() {
  size (600, 600, P3D);
  noStroke();
  pos = new PVector(random(-125,125), random(25)*-1, random(-125,125));
  speed = new PVector(random(10)-5, 5, random(10)-5);  
  
}

void draw() {
  background(1);

  pos.add(speed);
  if (abs(pos.x) > 250) {speed.x *= -1;}
  if (abs(pos.z) > 250) {speed.z *= -1;}
  speed.y += 0.1;
  if (pos.y > 0) { speed.y *= -1;}

  translate(width/2, height/2);
  lights();
  float x = 500 * sin(radians(frameCount/3));
  float z = 700 * cos(radians(frameCount/3));
  camera(x, -600, z, 0, 0, 0, 0, 1, 0);

  fill(200);
  box(500, 10, 500);
  
  translate(pos.x, pos.y, pos.z);
  fill(0, 255, 0);
  sphere(10);
}
