class Ball {
  PVector pos;
  PVector speed;
  color c;

  Ball() {
    pos = new PVector(random(250)-125, random(25)*-1, random(250)-125);
    speed = new PVector(random(10)-5, random(5)*-1, random(10)-5);
    c =  color(random(255), random(255), random(255));
  }

  void move() {
    pos.add(speed);
    if (abs(pos.x) > 250) {
      speed.x *= -1;
    }
    if (abs(pos.z) > 250) {
      speed.z *= -1;
    }
    speed.y += 0.1;
    if (pos.y > 0) { 
      speed.y = random(5)*-1;
    }
  }

  void paint() {
    pushMatrix();
    fill(c);
    translate(pos.x, pos.y, pos.z);
    sphere(10);    
    popMatrix();
  }
};

Ball ball;

void setup() {
  size (600, 600, P3D);
  noStroke();
  ball = new Ball();
}

void draw() {
  background(1);
  translate(width/2, height/2);
  lights();
  float x = 500 * sin(radians(frameCount/3));
  float z = 700 * cos(radians(frameCount/3));
  camera(x, -600, z, 0, 0, 0, 0, 1, 0);

  ball.move();
  ball.paint();

  fill(200);
  box(500, 10, 500);
}
