float area = 2000;
ArrayList<PVector> cubes = new ArrayList<PVector>();
void setup() {
  size(600, 600, P3D);
  for(int i = 0 ; i < 50 ; i++){
    cubes.add(
      new PVector(random(-area, area), 0, random(-area,area)));
  }
  textSize(50);
  textAlign(CENTER);
}

void draw() {
  background(0);
  translate(width/2, height*3/4);  
  lights();
  fill(125);
  box(area*2, 10, area*2);

  fill(255);
  for(int i = 0 ; i < cubes.size() ; i++){
    PVector p = cubes.get(i);
    drawCube(p);
  }
}

void drawCube(PVector p) {
  pushMatrix();
  translate(p.x, 0, p.z);
  box(50);
  popMatrix();
}
