PImage picL, picR;
PVector[] points = {
  new PVector(144, 33),
  new PVector(350, 155),
  new PVector(140, 272),
  new PVector(278, 274),
  new PVector(113, 400),
};

boolean[] founds = new boolean[5];

void setup(){
  size(1200, 450);
  picL = loadImage("pic0-L.png");
  picR = loadImage("pic0-R.png");
  noFill();
  strokeWeight(5);
  stroke(255, 255, 0);  
}

void draw(){
  image(picL, 0, 0);
  image(picR, 600, 0);
  for(int i = 0 ; i < points.length ; i++){
    if (founds[i]){
      ellipse(points[i].x, points[i].y, 50, 50);
    }
  }  
}

void mousePressed(){
  for(int i = 0 ; i < points.length ; i++){
    float d = dist(mouseX, mouseY, points[i].x, points[i].y);
    if (d < 30){
      founds[i] = true;
    }
  }
}
