PImage[] cards = new PImage[5];
boolean[] opened = {
  false, false, false, false, false, 
  false, false, false, false, false};
int[] numbers = {0, 0, 1, 1, 2, 2, 3, 3, 4, 4};

void setup() {
  size(750, 300);
  for (int i = 0; i < 5; i++) {
    cards[i] = loadImage("image"+i+".png");
  }
  for (int i = 0; i < 100; i++) {
    int a = (int)random(9);
    int b = (int)random(9);
    int t = numbers[a];
    numbers[a] = numbers[b];
    numbers[b] = t;
  }
}

void draw() {
  for (int i = 0; i < 10; i++) {
    int x = (i % 5)*150;
    int y = (int)(i/5)*150;
    rect(x, y, 150, 150);
    if (opened[i]) {
      int c = numbers[i];
      image(cards[c], x, y, 150, 150);
    }
  }
}

void mousePressed() {
  int mx = (int)(mouseX / 150);
  int my = (int)(mouseY / 150);
  int n = my * 5 + mx;
  opened[n] = true;
}
