void setup() {
  size(600, 600);
  textAlign(CENTER);
  textSize(30);
}
int[] n = {
  0, 32, 15, 19, 4, 21, 2, 25, 17, 
  34, 6, 27, 13, 36, 11, 30, 8, 23, 10, 
  5, 24, 16, 33, 1, 20, 14, 31, 9, 22, 18, 
  29, 7, 28, 12, 35, 3, 26};

void draw() {
  for (int i = 0; i < 37; i++) {
    float r = radians(360.0/37*i);
    pushMatrix();
    translate(300, 300);

    rotate(r);
    if (i == 0) {
      fill(0, 120, 0);
    } else if (i % 2 == 1) {
      fill(255, 0, 0);
    } else {
      fill(0);
    }

    arc(0, 0, 600, 600, -PI/2, -PI/2+radians(360.0/37), PIE);

    fill(255);
    text(""+n[i], 0, -290, 50, 50);
    popMatrix();
  }
  stroke(255);
  fill(0,0,0,0);
  ellipse(300, 300, 480, 480);
  
  fill(130, 20, 20, 200);
  ellipse(300, 300, 420, 420);
}
