import fisica.*;

FWorld world;
FBox box;

void setup(){
  size(600, 600);
  Fisica.init(this);
  world = new FWorld();
  box = new FBox(300, 300);
  box.setPosition(300, 300);
  box.setFill(0);
  box.setStatic(true);
  world.add(box);
}

void draw(){
  background(255);
  if (frameCount % 50 == 0){
    FCircle c = new FCircle(20);
    c.setPosition(random(width), 0);
    c.setFill(255,0,0);
    c.setNoStroke();
    world.add(c);
  }
  box.setRotation(radians(frameCount));
  world.step();
  world.draw();
}
