import fisica.*;

FWorld world;

void setup(){
  size(600, 600);
  Fisica.init(this);
  world = new FWorld();
  for(int y = 0 ; y < 9 ; y++){
    for(int x = 0 ; x < 10 + y % 2 ; x++){
      FCircle c = new FCircle(5);
      c.setPosition(x * 50 + 75 - y % 2 * 25, y * 50 + 75);
      c.setStatic(true);
      c.setFill(0);
      world.add(c);
    }    
  }
}

void draw(){
  background(255);
  if (frameCount % 50 == 0){
    FCircle c = new FCircle(20);
    c.setPosition(random(width), 0);
    c.setFill(255,0,0);
    c.setNoStroke();
    world.add(c);
  }
  world.step();
  world.draw();
}
