import fisica.*;
FWorld world;
PImage apple, orange;

void setup() {
  size(600, 600);
  apple = loadImage("apple-s.png");
  orange = loadImage("orange-s.png");
  
  Fisica.init(this);
  world = new FWorld();
  FBox box = new FBox(600, 20);
  box.setPosition(300, 400);
  box.setStatic(true);
  box.setRotation(0.15);
  world.add(box);
}

void draw() {
  background(255);
  if (frameCount % 100 == 0) {
    add_fruit(apple);
    add_fruit(orange);
  }
  world.step();
  world.draw();
}

void add_fruit(PImage fruit) {
  FCircle c = new FCircle(40);
  c.attachImage(fruit);
  c.setPosition(random(width), 0);
  world.add(c);
}
