import fisica.*;
FWorld world;

void setup() {
  size(800, 450);
  Fisica.init(this);
  world = new FWorld();
  world.setEdges();
  world.setGravity(0, 0);
  int[] x = {0, 400, 800, 0, 400, 800, 
    200, 125, 150, 100, 175, 125, 175, 150, 150, 450};
  int[] y = {0, 0, 0, 450, 450, 450, 
    200, 185, 170, 200, 215, 215, 185, 230, 200, 200};
  color[] c = {#000000, #000000, #000000, #000000, #000000, #000000, 
    #FFF400, #005CD3, #CE2721, #BD4CB8, #F06700, 
    #0B8A17, #B70D3A, #333333, #FFD300, #CAFDFF
  };
  for (int i = 0; i < 16; i++) {
    FCircle b = new FCircle(36);
    b.setPosition(x[i], y[i]);
    b.setFillColor(c[i]);
    b.setNoStroke();
    b.setStatic(i < 6);
    world.add(b);
    b.setName(i < 6 ? "hole" : "ball");
  }  
}

void draw() {
  background(0, 64, 0);
  world.step();
  world.draw();
}
