PImage[] cards = new PImage[5];
boolean[] opened = {
  false,false,false,false,false,
  false,false,false,false,false};
  
void setup(){
  size(750, 300);
  for(int i = 0 ; i < 5 ; i++){
    cards[i] = loadImage("image"+i+".png");
  }
}

void draw(){
  for(int i = 0 ; i < 10 ; i++){
    int x = (i % 5)*150;
    int y = (int)(i/5)*150;
    rect(x, y, 150, 150);
    if (opened[i]) {
      image(cards[i%5], x, y, 150, 150);
    }
  }
}

void mousePressed(){
  int mx = (int)(mouseX / 150);
  int my = (int)(mouseY / 150);
  int n = my * 5 + mx;
  opened[n] = true;
}
