int[] numbers = {0,0,1,1,2,2,3,3,4,4};
PImage[] cards = new PImage[5];
boolean[] opened = {
  false,false,false,false,false,
  false,false,false,false,false};
int card0 = -1;
int card1 = -1;

void setup(){
  size(750, 300);

  for(int i = 0 ; i < 5 ; i++){
    cards[i] = loadImage("image"+i+".png");
  }
  
  for(int i = 0 ; i < 100 ; i++){
    int a = (int)random(9);
    int b = (int)random(9);
    int t = numbers[a];
    numbers[a] = numbers[b];
    numbers[b] = t;
  }
}

void draw(){
  for(int i = 0 ; i < 10 ; i++){
    int x = (i % 5)*150;
    int y = (int)(i/5)*150;    
    rect(x, y, 150, 150);
    if (opened[i] || i == card0 || i == card1){
      int c = numbers[i];
      image(cards[c], x, y, 150, 150);
    }
  }
}

void mousePressed(){
  int mx = (int)(mouseX / 150);
  int my = (int)(mouseY / 150);
  int n = my * 5 + mx;
  
  if (n == card0 || opened[n]){
    return;
  }
  
  if (card0 == -1){
    card0 = n;
  }else{
    card1 = n;
    if(numbers[card0] == numbers[card1]){
      opened[card0] = true;
      opened[card1] = true;
    }
  }
}

void mouseReleased(){
  if(card0 != -1 && card1 != -1){
    card0 = -1;
    card1 = -1;
  }
}
