PImage roulette;
float rTheta, bTheta, rSpeed = 0.05, bSpeed = -0.18;
float unit = radians(360.0/37);
boolean clicked = false;

void setup() {
  size(600, 600);
  roulette = loadImage("roulette.png");
}

void draw() {
  rTheta += rSpeed;
  bTheta += bSpeed;

  pushMatrix();  
  translate(300, 300);
  rotate(rTheta);
  image(roulette, -300, -300, 600, 600);
  popMatrix();

  if (clicked) {
    rSpeed *= 0.995;
    bSpeed *= 0.992;
    if (abs(rSpeed) < 0.005) {
      rSpeed = 0;
    }
    if (abs(bSpeed) < 0.01) {
      bSpeed = 0;
    }
    translate(300, 300);
    int n = (int)(bTheta / unit);
    rotate(n * unit + rTheta + radians(5));
    fill(255);    
    ellipse(0, -225, 20, 20);
  }
}

void mouseClicked() {
  if (clicked == false){
    clicked = true;
  }  
  if (rSpeed == 0 && bSpeed == 0) {
    clicked = false;
    rSpeed = 0.05;
    bSpeed = -0.18;
  }
}
