import fisica.*;

FWorld world;

void setup(){
  size(600, 600);
  Fisica.init(this);
  world = new FWorld();
  for(int y = 0 ; y < 5 ; y++){
    FBox box = new FBox(500, 20);
    box.setPosition(100 + (y%2)*400, y*100+100);
    box.setStatic(true);
    box.setRotation(0.15 - (y%2)*0.3);
    box.setFill(0);
    world.add(box);
  }
}

void draw(){
  background(255);
  if (frameCount % 100 == 0){
    FCircle c = new FCircle(20);
    c.setPosition(random(width), 0);
    c.setFill(255,0,0);
    c.setNoStroke();
    world.add(c);
  }
  world.step();
  world.draw();
}
