import fisica.*;

FWorld world;

void setup(){
  size(600, 600);
  Fisica.init(this);
  world = new FWorld();
  FBox box = new FBox(600, 20);
  box.setPosition(300, 400);
  box.setStatic(true);
  box.setRotation(0.15);
  world.add(box);
}

void draw(){
  background(255);
  if (frameCount % 200 == 0){
    add_apple();
  }
  world.step();
  world.draw();
}

void add_apple(){
  FCircle c = new FCircle(40);
  c.setPosition(random(width), 0);
  c.setFill(255,0,0,120);
  c.setNoStroke();
  world.add(c);
}
