import fisica.*;
FWorld world;
FBox car;
PImage back;

void setup(){
  size(800, 800);
  Fisica.init(this);
  back = loadImage("back.jpg");
  world = new FWorld();
  world.setEdges();
  world.setGravity(0, 0);
  car = createBox(100, 100, 100, 50, loadImage("car.png"), false);
  PImage tile = loadImage("tile.png"); 
  for (int i = 0; i < 12; i++) {
    createBox(i*50, 200, 50, 50, tile, true);
    createBox(i*50+200, 400, 50, 50, tile, true);
    createBox(i*50, 600, 50, 50, tile, true);
  }  
}

void draw(){
  image(back, 0, 0);
  world.step();
  world.draw();  
}

FBox createBox(float x, float y, float w, float h, 
  PImage img, boolean isStatic) {
  FBox b = new FBox(w, h);
  b.setPosition(x, y);
  b.attachImage(img);
  b.setStatic(isStatic);
  world.add(b);
  return b;
}
